System.Security 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used by the and classes to protect access to encrypted data and memory using the and classes.

Many of these flags can have powerful effects and should be granted only to highly trusted code.

Specifies the access permissions for encrypting data and memory.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags

  The ability to encrypt data, encrypt memory, unencrypt data, and unencrypt memory.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags

  No protection abilities.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags

  The ability to encrypt data.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags

  The ability to encrypt memory.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags

  The ability to unencrypt data.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.DataProtectionPermissionFlags

  The ability to unencrypt memory.